Skip to main content

Delete File

Hard deletes the file metadata and original content; this action cannot be undone. Internal copies already mounted to session sandboxes are not affected; new sessions can no longer mount this file_id.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

DELETE /files/{file_id}

Request example

curl -X DELETE "$AGENTSTUDIO_URL/files/file_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "request_id": "xxx"
}

Response fields

FieldTypeDescription
request_idstringUnique identifier for this request
Managed Agent API
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration